[Tizen Application-dev] Why does Tizen development require Java?

Mats Wichmann mats at osg.samsung.com
Wed Feb 25 18:31:20 GMT 2015


On 02/25/15 09:24, Michael Johnson wrote:
> Hi Ben, 
> 
> Assuming I'm understanding your question properly, it's possible that it's because the Tizen IDE is eclipse-based, and that requires Java to run.  If I've interpreted the question incorrectly I hope someone can give you a better answer.

that is indeed the story. the requirement is because of the
eclipse-based IDE. fwiw you also don't have to remove openjdk, whatever
the documentation may say, just make sure the alternatives system lets
eclipse pick the Oracle one.  In fact (this just a private comment, not
an official one) the SDK works just fine with openjdk.  It's only the
installer that complains if it doesn't find Oracle Java.

neither Tizen web nor native apps/packages have anything to do with
java, and you don't need to touch java to do anything in this area.

By the way, by official/unofficial decision, application development
discussion happens on the tizen forums
(https://developer.tizen.org/forums), you'll likely get much quicker
responses there to development questions :)




More information about the Application-dev mailing list